
CoCoA-5 - Feature #270

Distribution for linux

18 Oct 2012 15:19 - Anna Maria Bigatti

Status: Closed Start date: 18 Oct 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.75 hour

Description

Simplify process for preparing the distribution for linux

Related issues:

Related to CoCoA-5 - Support #187: CoCoA-5 (partial) releases: make the proce... Closed 13 Jun 2012

Related to CoCoA - Support #266: Compilation on M$Windows: cygwin Closed 17 Oct 2012

Related to CoCoA - Bug #238: Cleaner CVS? Closed 26 Sep 2012

Related to CoCoA-5 - Support #450: CoCoA-5.0.9 release (admin, overheads, etc) Closed 26 Feb 2014

Related to CoCoA-5 - Support #541: Unify releases for Linux 32 and Linux 64 Closed 23 Apr 2014

Related to CoCoALib - Support #613: Which ubuntu / debian packages are needed... Closed 03 Sep 2014

History

#1 - 29 Nov 2012 08:21 - Anna Maria Bigatti

- Category set to Release

#2 - 29 Jan 2014 19:17 - John Abbott

I suggest generalizing this issue to simplifying the make a distribution process on any platform.  There should be a make target in the root directory

which does (almost?) all the work (probably via a shell script).

We are now thinking that the contents of the CVS repository are "independent" of the contents of a standard distribution (e.g. CVS will not contain

dependency files, but a distrib version could/should)

#3 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 08 Apr 2014 14:01 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 40

I have a private script for making a fairly automatic text release.

Now I have to work on the GUI

#5 - 09 Apr 2014 17:36 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 11 Apr 2014 14:53 - Anna Maria Bigatti

- % Done changed from 40 to 50

I improved my script, but I don't know if the libraries are statically or dynamically linked.

Could you check if what I compiled works for you?

26 Apr 2024 1/2



http://cocoa.dima.unige.it/download/install5-unix.shtml

#7 - 23 Apr 2014 10:34 - Anna Maria Bigatti

Oscar, could you tell me if this works for you (and tell me what uname -a gives?)

http://cocoa.dima.unige.it/download/install5-unix.shtml

#8 - 11 Sep 2014 17:42 - John Abbott

- Status changed from New to Closed

- % Done changed from 50 to 100
